/**
 * 小区回填列表
 */

$(function(){
	// //实现回填列表数据搜索
	// $('div span.btn_search').click(function(){
	// 	var data =communityList.data;
	// 	data.name =  $('#hidden_name').val();
	// 	data.page=1;
	// 	getPopTablePageData(data);
	// });
	//
	// /**
	//  * 搜索文本框支持回车
	//  * 阻止提交表单
	//  */
	// $("form.form-search").submit(function(){
	// 	  return false;
	// }).find(":input[name=community_name]").keydown(function(){
	// 	if(event.keyCode == 13) {
	// 		var data =communityList.data;
	// 		data.name =  $('#hidden_name').val();
	// 		data.page=1;
	// 		getPopTablePageData(data);
	// 	}
	// });
	//

    /**
     * 搜索按钮 多项搜索
     */
    $('.btn_search_more').click(function(){
        var data =communityList.data;
        data.name = $('#hidden_name').val();
        data.address = $('#hidden_address').val();
        data.page=1;
        getPopTablePageData(data);
    });
	
	//实现分页条件查询
	console.log('popCommunityListTableDiv');
	$('#popCommunityListTableDiv div.my-pagination > div > a').click(function(){
		var data =communityList.data;
		data.name =  $('#hidden_name').val();
		var href = $(this).attr('href');
		//截取href中#之后的值
		var str = href.substring(1,href.Length);
		data.page=parseInt(str);
		getPopTablePageData(data);
	});
	$('#popCommunityListTableDiv div.my-pagination .page-current').change(function(){
		var data =communityList.data;
		data.name =  $('#hidden_name').val();
		var page = $(this).val();
		data.page=parseInt(page);
		getPopTablePageData(data);
	});
	adjustTableCellWidth('popCommunityListTableDiv');

	//获取回填数据
	$('table.community_backfill > tbody > tr ').click(function(){
		var data =communityList.data;
		data.id = $(this).find(':input[type=radio]').val();
		data.name = $(this).find('td:eq(1)').html();	
		communityList.backfillFun(data);		
		layer.closeAll();
	});
	//点击清空按钮
	$('#popCommunityListTableDiv #clear-btn').click(function(){
		var data =communityList.data;
		data.id = "";
		data.name = "";
		communityList.backfillFun(data);
		layer.closeAll();
	});
});

function getPopTablePageData(data){
	doDataPost(data, false, ctx+"/common/community/backfill", function(msg){
		$($('.layui-layer-content')[0]).empty();
		$($('.layui-layer-content')[0]).append(msg);
		layer.iframeAuto(indexLayer);
	});
}
